package com.sifang.modules.sunshine.settleSet.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.validator.constraints.NotBlank;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class RewardWayVo {

    private String id;

    private String name;

    private String type;

    private String number;

    private String lowData;

    private String highData;

    private String ratioData;

    private String status;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date lowTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date highTime;

    private String traderIds;

    private String maxHighData;

    private String maxHighDataRadio;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMaxHighData() {
        return maxHighData;
    }

    public void setMaxHighData(String maxHighData) {
        this.maxHighData = maxHighData;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getLowData() {
        return lowData;
    }

    public void setLowData(String lowData) {
        this.lowData = lowData;
    }

    public String getHighData() {
        return highData;
    }

    public void setHighData(String highData) {
        this.highData = highData;
    }

    public String getRatioData() {
        return ratioData;
    }

    public void setRatioData(String ratioData) {
        this.ratioData = ratioData;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getLowTime() {
        return lowTime;
    }

    public void setLowTime(Date lowTime) {
        this.lowTime = lowTime;
    }

    public Date getHighTime() {
        return highTime;
    }

    public void setHighTime(Date highTime) {
        this.highTime = highTime;
    }

    public String getTraderIds() {
        return traderIds;
    }

    public void setTraderIds(String traderIds) {
        this.traderIds = traderIds;
    }

    public String getMaxHighDataRadio() {
        return maxHighDataRadio;
    }

    public void setMaxHighDataRadio(String maxHighDataRadio) {
        this.maxHighDataRadio = maxHighDataRadio;
    }
}
